Package Gnumed :: Package wxpython :: Module gmPhraseWheel |
[frames] | no frames]

# Module gmPhraseWheel

source code

GNUmed phrasewheel.

A class, extending wx.TextCtrl, which has a drop-down pick list, automatically filled based on the inital letters typed. Based on the interface of Richard Terry's Visual Basic client

This is based on seminal work by Ian Haywood <ihaywood@gnu.org>

Author: K.Hilbert <Karsten.Hilbert@gmx.net>, I.Haywood, S.J.Tan <sjtan@bigpond.com>

License: GPL

Classes
| cPhraseWheelListCtrl
| cPhraseWheelBase Widget for smart guessing of user fields, after Richard Terry's interface.
| cPhraseWheel
| cMultiPhraseWheel

Functions
shutdown() It can be useful to call this early from your shutdown code to avoid hangs on Notify(). | source code

Variables
| color_prw_invalid = ``'``pink``'``
| color_prw_partially_invalid = ``'``yellow``'``
| color_prw_valid = `None`
| default_phrase_separators = ``'``;+``'``
| default_spelling_word_separators = ``'``[\\W\\d_]+``'``
| NUMERIC = ``'``0-9``'``
| ALPHANUMERIC = ``'``a-zA-Z0-9``'``
| EMAIL_CHARS = ``'``a-zA-Z0-9\\-_@\\.``'``
| WEB_CHARS = ``'``a-zA-Z0-9\\.\\-_/:``'``
| __package__ = ``'``Gnumed.wxpython``'``

Imports: string, types, time, sys, regex, os, wx, listmixins, gmTools, gmDispatcher, logging